target_sources(${PROJECT_NAME}
    PUBLIC
        rdmnet/broker.h
        rdmnet/controller.h
        rdmnet/device.h
    PRIVATE
        rdmnet/broker-protocol.cpp
        rdmnet/broker-protocol.h
        rdmnet/broker.cpp
        rdmnet/controller.cpp
        rdmnet/device.cpp
        rdmnet/implementation.cpp
        rdmnet/implementation.h
        rdmnet/pdu.cpp
        rdmnet/pdu.h
        rdmnet/rdmnet.h
    )

include(ept/CMakeLists.txt)
include(llrp/CMakeLists.txt)
include(rpt/CMakeLists.txt)
